<template>
	<section class="popup-panorama" v-if="vue.$store.state.panoramaRoom">
		<i class="fas fa-times" @click="closePopupPanoramaHandler"></i>
		<div class="name">{{ vue.$store.state.panoramaRoom.name }}</div>
		<vue-pannellum
			:src="vue.$store.state.panoramaRoom.panorama"
			style="position: absolute; top: 0; left: 0; width: 100vw; height: 100vh;"
			preview="images/background.png"
		/>
	</section>
</template>

<script>
import { reactive, toRefs, inject, onMounted } from 'vue'
import VuePannellum from 'vue-pannellum'

export default {
	components: {
		VuePannellum,
	},
	setup() {
		const state = reactive({
			vue: inject('vue'),
		})
		onMounted(() => {
			document.onkeydown = (evt) => {
				if (evt.key == 'Escape') {
					state.vue.$store.commit('openPopupPanorama', false)
				}
			}
		})

		const closePopupPanoramaHandler = (e) => {
			state.vue.$store.commit('openPopupPanorama', false)
		}

		return {
			...toRefs(state),
			closePopupPanoramaHandler,
		}
	},
}
</script>

<style lang="scss" scoped>
@import '@/assets/scss/vars.scss';

.popup-panorama {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 20;
	width: 100%;
	height: 100vh;
	background: rgba(0, 0, 0, 0.8);
	display: grid;
	align-content: start;

	.fas {
		color: #fff;
		background: rgba(255, 0, 0, 1);
		opacity: 0.5;
		width: 2rem;
		height: 2rem;
		border-radius: 50%;
		display: grid;
		justify-content: center;
		align-content: center;
		position: absolute;
		top: 1rem;
		right: 1rem;
		transition: 0.5s;
		z-index: 30;

		&:hover {
			opacity: 1;
			cursor: pointer;
		}
	}
	.name {
		font-size: 0.65rem;
		color: $color04;
		background: $color03;
		display: inline-block;
		padding: 1rem;
		position: relative;
		top: 1rem;
		border-radius: 1.5rem;
		opacity: 0.5;
		transition: 0.5s;
		justify-self: center;
		z-index: 25;

		&:hover {
			opacity: 1;
		}
	}
}
</style>
